Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451887 - No direct rendering on intel 945GM with duel head
Summary: No direct rendering on intel 945GM with duel head
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 23:07 UTC by louisgtwo
Modified: 2018-04-11 14:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-20 16:03:20 UTC


Attachments (Terms of Use)
xorg log (deleted)
2008-06-17 23:07 UTC, louisgtwo
no flags Details
log with updated udev and /dev/dri/card0 present (deleted)
2008-06-19 18:11 UTC, louisgtwo
no flags Details
Log with working dri. Single monitor and no xorg.conf file (deleted)
2008-06-19 19:08 UTC, louisgtwo
no flags Details
Log without dri. duel monitor and xorg.conf file (deleted)
2008-06-19 19:14 UTC, louisgtwo
no flags Details
my xorg.conf file (deleted)
2008-06-19 19:15 UTC, louisgtwo
no flags Details
Duel head config (deleted)
2008-06-19 19:45 UTC, louisgtwo
no flags Details

Description louisgtwo 2008-06-17 23:07:54 UTC
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)

Direct Rendering is disabled on F9 with current updates.

Comment 1 louisgtwo 2008-06-17 23:07:54 UTC
Created attachment 309679 [details]
xorg log

Comment 2 louisgtwo 2008-06-17 23:23:52 UTC
I just noticed /dev/drm does not exist on my box.

Comment 3 Adam Jackson 2008-06-19 17:38:20 UTC
That's a shame.  And I blame udev.

Comment 4 louisgtwo 2008-06-19 18:09:15 UTC
ok I updated udev to 124-1.fc9.1 from updates-testing and now have
/dev/dri/card0 I still do not have dri enabled.

Comment 5 louisgtwo 2008-06-19 18:11:07 UTC
Created attachment 309868 [details]
log with updated udev and /dev/dri/card0 present

Comment 6 louisgtwo 2008-06-19 19:06:30 UTC
This seems to be another duel head config problem with the latest server update
for f9. If I run X without a xorg.conf file and only the laptop monitor I have
direct rendering. When I use xorg.conf file with a vga monitor attached there is
no direct rendering.

Comment 7 louisgtwo 2008-06-19 19:08:23 UTC
Created attachment 309870 [details]
Log with working dri. Single monitor and no xorg.conf file

Comment 8 louisgtwo 2008-06-19 19:14:29 UTC
Created attachment 309873 [details]
Log without dri. duel monitor and xorg.conf file

Comment 9 louisgtwo 2008-06-19 19:15:50 UTC
Created attachment 309874 [details]
my xorg.conf file

Comment 10 louisgtwo 2008-06-19 19:45:34 UTC
Created attachment 309876 [details]
Duel head config

Comment 11 louisgtwo 2008-06-20 02:11:08 UTC
without an xorg.conf file dri works and I have two monitors but mirrors of each
other. I need to have them spanning but when I use the xorg.conf file I have
problems. System-config-display gives me errors when I use it.

Comment 12 louisgtwo 2008-06-20 03:03:40 UTC
I have pinpointed the problem to the virtual 3200 1200 line in the xorg.conf
file. Without this line the two displays are brought up with direct rendering
enabled. But the displays are lot aligned correctly. I need to have the virual
fb bigger. 

Comment 13 louisgtwo 2008-06-20 04:20:03 UTC
I just read that the 3D engine has an 11 bit coordinate space at one point
making it impossible to draw to areas beyond 2048x2048. So I guess this is not
possible for this hardware.

I will close this bug.


Comment 14 Matěj Cepl 2008-06-20 16:03:20 UTC
Thanks for letting me know.


Note You need to log in before you can comment on or make changes to this bug.